#include "TextView.h"

#include <QGraphicsItem>
#include <QGraphicsTextItem>

TextView::TextView(QWidget* parent)
	: QGraphicsView(parent)
{
	QGraphicsScene* scene = new QGraphicsScene();
	this->setScene(scene);

	QGraphicsRectItem* rect = new QGraphicsRectItem();
	rect->setRect(0, 0, 200, 300);
	rect->setBrush(Qt::green);
	scene->addItem(rect);
	QGraphicsTextItem* textItem = new QGraphicsTextItem(rect);
	textItem->setPlainText("Text");
	textItem->setTextInteractionFlags(Qt::TextEditorInteraction);
	textItem->setFlags(QGraphicsItem::ItemIsSelectable | QGraphicsItem::ItemIsFocusable);
	rect->setFlags(QGraphicsItem::ItemIsSelectable | QGraphicsItem::ItemIsFocusable);
}
